Listar aulas do módulo
curl --request GET \
--url https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_area_module": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"position": 123,
"thumbnail": "<string>",
"thumbnail_original": "<string>",
"video": {
"id": "<string>",
"thumbnail": "<string>",
"status": "created"
},
"external_video": "<string>",
"extra_files_count": 123,
"published_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "draft",
"release_type": "immediate",
"release_days": 1073741823,
"release_date": "2023-11-07T05:31:56Z",
"is_free": true
}
]
}
]
Aulas
Listar aulas do módulo
A porta pública: precede a view do painel no MRO para trocar autenticação e escopo.
GET
/
public_api
/
members
/
modules
/
{module_id}
/
lessons
/
Listar aulas do módulo
curl --request GET \
--url https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/modules/{module_id}/lessons/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_area_module": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"position": 123,
"thumbnail": "<string>",
"thumbnail_original": "<string>",
"video": {
"id": "<string>",
"thumbnail": "<string>",
"status": "created"
},
"external_video": "<string>",
"extra_files_count": 123,
"published_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "draft",
"release_type": "immediate",
"release_days": 1073741823,
"release_date": "2023-11-07T05:31:56Z",
"is_free": true
}
]
}
]
Escopo
read members
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Query Parameters
Was this page helpful?